<?php

/**
 * Define the internationalization functionality
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @link       http://www.zeninvader.com/
 * @since      1.0.0
 *
 * @package    Zi_Woo_Hide_Price_Cart
 * @subpackage Zi_Woo_Hide_Price_Cart/includes
 */

/**
 * Define the internationalization functionality.
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @since      1.0.0
 * @package    Zi_Woo_Hide_Price_Cart
 * @subpackage Zi_Woo_Hide_Price_Cart/includes
 * @author     ZI <escees@hotmail.com>
 */
class Zi_Woo_Hide_Price_Cart_i18n {


	/**
	 * Load the plugin text domain for translation.
	 *
	 * @since    1.0.0
	 */
	public function load_plugin_textdomain() {

		load_plugin_textdomain(
			'zi-woo-hide-price-cart',
			false,
			dirname( dirname( plugin_basename( __FILE__ ) ) ) . '/languages/'
		);

	}



}
